<?php
/*
    This file is part of CSS:Portal.

    Written by Jonathan Levine <jxl180@gmail.com>
    Copyright 2009 Jonathan Levine
    
    CSS:Portal is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CSS:Portal is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CSS:Portal.  If not, see <http://www.gnu.org/licenses/>.
	
	The full copy of the GNU General Public License is saved as COPY in CSS:Portal's top directory.
*/

session_start();
require('includes/connect.inc.php');
if(file_exists('install/'))
{
	die('Once installation is complete, the install directory must be erased from the webserver.');
}
if(isset($_SESSION['id']))
{
	if($_SESSION['id']==1)
	{
		if(isset($_POST['submitlogin']))
		{
			if($_POST['ip']==NULL || $_POST['port']==NULL || $_POST['rcon']==NULL)
			{
				$error=1;
			}
			else
			{
				$error=0;
				$ip=stripslashes($_POST['ip']);
				$ip=strip_tags($ip);
				$ip=mysql_real_escape_string($ip);
				$port=stripslashes($_POST['port']);
				$port=strip_tags($port);
				$port=mysql_real_escape_string($port);
				if(is_numeric($port))
					$numeric=1;
				else
					$numeric=0;
				$serverrcon=stripslashes($_POST['rcon']);
				$serverrcon=strip_tags($serverrcon);
				$serverrcon=mysql_real_escape_string($serverrcon);
				$sql="SELECT ip FROM cssp_servers WHERE ip='". $ip ."' LIMIT 1";
				$query=mysql_query($sql);
				$count=mysql_num_rows($query);
				if($count==0 && $numeric==1)
				{
					$sql = "INSERT INTO `cssp_servers` (`ip`, `port`, `rcon`) VALUES ('$ip', '$port', '$serverrcon')";
					$query=mysql_query($sql);
					echo '
					<script>
					Modalbox.hide();
					</script>';
				}
			}
		}
	}
	else
		header("Location:index.php");
}
else
	header('location:index.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>

<meta name="Description" content="Information architecture, Web Design, Web Standards." />
<meta name="Keywords" content="your, keywords" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="Distribution" content="Global" />
<meta name="Author" content="Erwin Aligam - ealigam@gmail.com" />
<meta name="Robots" content="index,follow" />
<script type="text/javascript" src="javascripts/prototype.js"></script>
<script type="text/javascript" src="javascripts/scriptaculous.js?load=effects"></script>
<script src="javascripts/scriptaculous.js" type="text/javascript"></script>
<script src="javascripts/modalbox/modalbox.js" type="text/javascript"></script>
<link rel="stylesheet" href="javascripts/modalbox/modalbox.css" type="text/css" media="screen" />
<link rel="stylesheet" href="images/Refresh.css" type="text/css" />

<title>CSS:Portal</title>

	
</head>

<body>
<!-- wrap starts here -->
<div id="wrap">
		
		<!--header -->
		<div id="header">			
				
			<h1 id="logo-text">CSS<span class="gray">Portal</span></h1>	
		</div>
		
		<!-- menu -->			
			
		<!-- content-wrap starts here -->
		<div id="content-wrap">

				<a name="main"></a>
                <h2><li>New Server</li></h2>
				<?php
          if(isset($count))
          {
              if($count!=0)
              {
                  echo '<font color="red">Server IP Already Exists!</font>';
              }
		  }
		  if(isset($error))
		  {
			  if($error==1)
              {
                  echo '<font color="red">All Fields Required!</font>';
              }
          }
		   if(isset($numeric))
		  {
			  if($numeric==0)
              {
                  echo '<font color="red">Invalid Port Number! (Numbers only.)</font>';
              }
          }
          ?>
                   <center> <form id="form1" method="post" action="addserver.php">
                      <p>IP:
                        <input name="ip" type="text" class="textbox" id="textfield" />
                      </p>
                      <p>Port:
                        <input name="port" type="text" class="textbox" id="textfield2" />
                      </p>
                      <p>Rcon:
                        <input type="password" name="rcon" id="textfield3" class="textbox"/><br />
                      </p>
                      <p>
                        <input name="submitlogin" type="submit" class="button" id="button" value="Add >>" onclick="Modalbox.show('addserver.php', {title: 'Add Server', method: 'post', params: Form.serialize('form1')}); return false;"/>
                      </p>
                    </form></center>
                </li>
</h2>
		
		
		<!-- content-wrap ends here -->	
		</div>
					
		<!--footer starts here-->
		<?php include('includes/footer.inc.php'); ?>

<!-- wrap ends here -->
</div>

</body>
</html>
